Bug 30830 - UCC: build iTALC for UCC / iTALC integration
UCC: build iTALC for UCC / iTALC integration
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UCS@school Integration
unspecified
Other Linux
: P5 normal
: UCC 1.0-errata
Assigned To: Erik Damrose
Florian Best
:
Depends on:
Blocks: 30829
  Show dependency treegraph
 
Reported: 2013-03-20 11:11 CET by Sönke Schwardt-Krummrich
Modified: 2013-07-25 12:36 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2013-03-20 11:11:57 CET
iTALC shall be build for and tested with UCC and UCS@school.
Comment 1 Erik Damrose univentionstaff 2013-04-03 11:18:52 CEST
In order to build iTALC on a ucc-client the build dependency gcj has to be renamed to gcj-jdk
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2013-07-08 14:26:19 CEST
iTALC has to be build for UCC in a new UCC scope.

iTALC should be started automatically in background in every UCC fat/thin client session. iTALC should restart, if it crashes or gets killed by the user.

During join, the UCC client should install the iTALC public key automatically in its local system.
Comment 3 Erik Damrose univentionstaff 2013-07-12 10:02:21 CEST
ITalC has been adapted to run on UCC:

- Session scripts have been added to lightdm/greeter-setup and lightdm/session-setup. iTalC is run as root before and after a user logs in.
- A small patch has been made to the iTalC sources to enable transmitting the current user (visible in computerroom module) even when iTalC is run as root during the user session
- A joinscript downloads the iTalC keys during the UCC domain join. By default it tries to download \\$ldap_master\netlogon\italc-key.pub. This can be overridden with the UCR variables ucc/italc/key/sambasource and ucc/italc/key/filename.
Comment 4 Erik Damrose univentionstaff 2013-07-12 11:39:18 CEST
The package has been build in the ucc-errata scope. 

univention-ucc-italc-client should be installed. This also installs the dependencies univention-ucc-italc-management-console and univention-ucc-libitalc.
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2013-07-17 14:25:23 CEST
(In reply to Erik Damrose from comment #4)
> The package has been build in the ucc-errata scope. 

Since this will be published as normal UCC errata, please provide a YAML file and a changelog entry.
Comment 6 Erik Damrose univentionstaff 2013-07-18 14:51:47 CEST
2013-07-18-univention-ucc-italc.yaml has been added.
Comment 7 Florian Best univentionstaff 2013-07-22 12:40:35 CEST
The dependency to smbclient for the joinscript is missing:

/usr/lib/univention-install/99ucsschool-italc-key.inst: Zeile 54: smbclient: Kommando nicht gefunden.
Comment 8 Florian Best univentionstaff 2013-07-22 12:59:09 CEST
The username is currently not fully correct, the computerroom module displays "teacher1 (root)" instead of something like "teacher1 (TecherName)"
Comment 9 Florian Best univentionstaff 2013-07-22 14:12:19 CEST
(In reply to Florian Best from comment #8)
> The username is currently not fully correct, the computerroom module
> displays "teacher1 (root)" instead of something like "teacher1 (TecherName)"
This happened on LXDE, not KDE. → Bug #32033
Comment 10 Erik Damrose univentionstaff 2013-07-22 14:55:42 CEST
(In reply to Florian Best from comment #7)
> The dependency to smbclient for the joinscript is missing

Fixed: Dependency added in univention-ucc-italc 2:1.0.0-4.7.201307221424, build in ucc-errata
Comment 11 Florian Best univentionstaff 2013-07-22 16:15:21 CEST
(In reply to Erik Damrose from comment #10)
> (In reply to Florian Best from comment #7)
> > The dependency to smbclient for the joinscript is missing
> 
> Fixed: Dependency added in univention-ucc-italc 2:1.0.0-4.7.201307221424,
> build in ucc-errata
Fix OK, please update the yaml version number.
Comment 12 Erik Damrose univentionstaff 2013-07-22 16:22:26 CEST
Version number has been updated.
Comment 13 Florian Best univentionstaff 2013-07-22 18:33:02 CEST
(In reply to Erik Damrose from comment #12)
> Version number has been updated.
OK
Comment 14 Moritz Muehlenhoff univentionstaff 2013-07-25 12:36:45 CEST
http://errata.univention.de/ucc/1.0/18.html